Get Signed Url
https://app.fossa.com/api/components/signed_urlGet a signed URL for uploading component files to FOSSA, to expire in 5 minutes' time. Only SBOM imports are supported for non-premium accounts. This endpoint accepts push-only tokens in addition to full API tokens.
Query parameters
packageSpecstringrequiredthe package spec
revisionstringrequiredThe branch or revision of the component project being built.
fileTypeenumThe kind of file to be uploaded to the signed URL. If 'archive', the signed URL is for uplaoding a directory of source code. If 'sbom', the signed URL is for uploading an SBOM file (CycloneDX or SPDX). If 'binary', the signed URL is for uploading a binary for binary decomposition; this is billing-gated and may return a 403 if the organization is outside its binary decomposition billing term or has exhausted its allowance.
archivesbombinaryResponses
200Signed URLsignedUrlstring400Bad Request403Forbidden500Server ErrorTry this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/components/signed_urlcurl --request GET \ --url 'https://app.fossa.com/api/components/signed_url' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
packageSpecstringrequiredthe package spec
revisionstringrequiredThe branch or revision of the component project being built.
fileTypeenumThe kind of file to be uploaded to the signed URL. If 'archive', the signed URL is for uplaoding a directory of source code. If 'sbom', the signed URL is for uploading an SBOM file (CycloneDX or SPDX). If 'binary', the signed URL is for uploading a binary for binary decomposition; this is billing-gated and may return a 403 if the organization is outside its binary decomposition billing term or has exhausted its allowance.